var api = require('../../../config/api.js');
var util = require('../../../utils/util.js');
var user = require('../../../utils/user.js');

var app = getApp();
Page({
  data:{
    hasLogin: false,
    phoneshow:false
  },
  onLoad: function(options) {
    // 页面初始化 options为页面跳转所带来的参数
    // 页面渲染完成
  },
  onReady: function() {

  },
  onShow: function() {
    // 页面显示
  },
  onHide: function() {
    // 页面隐藏

  },
  onUnload: function() {
    // 页面关闭
    if(!this.data.phoneshow){
      wx.clearStorageSync('token')
    }

  },
  wxLogin: function(e) {
    console.log(e)
    if (e.detail.userInfo == undefined) {
      app.globalData.hasLogin = false;
      util.showErrorToast('微信登录失败');
      return;
    }
    user.checkLogin().catch(() => {
      wx.showLoading({
        title: '登录中，请稍后',
        mask: true
      })
      user.loginByWeixin(e.detail.userInfo).then(res => {
        app.globalData.hasLogin = true;
        if(wx.getStorageSync('userInfo').tel){
          this.setData({
            phoneshow:true
          })
          if (getCurrentPages().length>1) {
            wx.navigateBack({
              delta: 1
            })
          } else {
            wx.reLaunch({
              url: '/pages/ucenter/index/index',
            })
          }
        }else{
          this.setData({
            hasLogin:true
          })
        }
        
        wx.hideLoading();
      }).catch((err) => {
        console.log(err)
        app.globalData.hasLogin = false;
        util.showErrorToast('微信登录失败');
      });

    });
  },
  bindPhoneNumber: function(e) {
    let that = this;
    if (e.detail.errMsg !== "getPhoneNumber:ok") {
      // 拒绝授权
     
      return;
    }

    if (!this.data.hasLogin) {
      wx.showToast({
        title: '绑定失败：请先登录',
        icon: 'none',
        duration: 2000
      });
      return;
    }

    util.request(api.AuthBindPhone, {
      iv: e.detail.iv,
      encryptedData: e.detail.encryptedData
    }, 'POST').then(function(res) {
      if (res.errno === 0) {
        that.setData({
          phoneshow: true
        })
        wx.showToast({
          title: '绑定手机号成功',
          icon: 'success',
          duration: 2000
        });
         if (getCurrentPages().length>1) {
          wx.navigateBack({
            delta: 1
          })
        } else {
          wx.reLaunch({
            url: '/pages/ucenter/index/index',
          })
        }
      }
    });
  },
  accountLogin: function() {
    wx.navigateTo({
      url: "/pages/auth/accountLogin/accountLogin"
    });
  }
})